apiVersion: v1
kind: Namespace
metadata:
  annotations:
    openshift.io/sa.scc.mcs: s0:c30,c20
    openshift.io/sa.scc.supplemental-groups: 1000910000/10000
    openshift.io/sa.scc.uid-range: 1000910000/10000
  labels:
    kubernetes.io/metadata.name: talm-namespace
    pod-security.kubernetes.io/audit: restricted
    pod-security.kubernetes.io/audit-version: v1.24
    pod-security.kubernetes.io/warn: restricted
    pod-security.kubernetes.io/warn-version: v1.24
  name: talm-namespace
spec:
  finalizers:
  - kubernetes
apiVersion: policy.open-cluster-management.io/v1beta1
kind: PolicySet
metadata:
  name: talm-policyset
  namespace: talm-namespace
spec:
  description: ""
  policies:
    - talm-policy
---
apiVersion: apps.open-cluster-management.io/v1
kind: PlacementRule
metadata:
  name: talm-policyset-placement
  namespace: talm-namespace
  annotations:
    open-cluster-management.io/user-group: c3lzdGVtOmNsdXN0ZXItYWRtaW5zLHN5c3RlbTphdXRoZW50aWNhdGVk
    open-cluster-management.io/user-identity: a3ViZTphZG1pbg==
  creationTimestamp: 2022-11-18T19:12:43Z
  generation: 1
  resourceVersion: "40687276"
  uid: 751977a8-4d81-400c-8782-b75bc2855c1f
spec:
  clusterConditions: []
  clusterSelector:
    matchExpressions:
      - key: cluster.open-cluster-management.io/clusterset
        operator: In
        values:
          - default
---
apiVersion: policy.open-cluster-management.io/v1
kind: PlacementBinding
metadata:
  name: talm-policyset-placement
  namespace: talm-namespace
  creationTimestamp: 2022-11-18T19:12:44Z
  generation: 1
  resourceVersion: "40687280"
  uid: 84ae006e-4bbf-4078-b73c-47759d9e27de
placementRef:
  name: talm-policyset-placement
  apiGroup: apps.open-cluster-management.io
  kind: PlacementRule
subjects:
  - name: talm-policyset
    apiGroup: policy.open-cluster-management.io
    kind: PolicySet

apiVersion: policy.open-cluster-management.io/v1
kind: Policy
metadata:
  name: talm-policy
  namespace: talm-namespace
spec:
  disabled: false
  policy-templates:
    - objectDefinition:
        apiVersion: policy.open-cluster-management.io/v1
        kind: ConfigurationPolicy
        metadata:
          name: talm-policy-config
          creationTimestamp:
        spec:
          evaluationInterval:
            compliant: 10s
            noncompliant: 10s
          namespaceSelector:
            exclude:
              - "*"
            include:
              - kube-*
          object-templates:
            - complianceType: Musthave
              objectDefinition:
                apiVersion: operators.coreos.com/v1alpha1
                kind: CatalogSource
                metadata:
                  name: talm-catsrc
                  namespace: talm-namespace-temp
                  creationTimestamp:
                spec:
                  description: a catalog source created by the talm tests
                  displayName: talm-catsrc
                  icon:
                    base64data: ""
                    mediatype: ""
                  priority: 1
                  publisher: cnf-gotests/test/ran/talm
                  sourceType: internal
                status: {}
          remediationAction: Inform
          severity: low
        status: {}
  remediationAction: Inform

apiVersion: ran.openshift.io/v1alpha1
kind: ClusterGroupUpgrade
metadata:
  name: talm-cgu
  namespace: talm-namespace
spec:
  clusters:
    - spoke1
  managedPolicies:
  - talm-policy
  remediationStrategy:
    maxConcurrency: 1
    timeout: 5
  enable: true

